function [] = grafici(check_Breguet,matrix,matrix_converted,k_vector,k)

figure
plot((1:k),matrix(20,:),'-o','Color','b')
hold on
plot((1:k),matrix_converted(20,:),'-o','Color','r')
xlabel('iterazioni')
legend('lb','kg')
title('Wpros')

figure
plot((1:k),matrix(27,:),'-o','Color','b')
hold on
plot((1:k),matrix_converted(27,:),'-o','Color','r')
xlabel('iterazioni')
legend('lb','kg')
title('Wstr')

figure
plot((1:k),matrix(32,:),'-o','Color','b')
hold on
plot((1:k),matrix_converted(32,:),'-o','Color','r')
xlabel('iterazioni')
legend('lb','kg')
title('Wsub')

figure
plot((1:k),matrix(28,:),'-o','Color','b')
hold on
plot((1:k),matrix_converted(28,:),'-o','Color','r')
xlabel('iterazioni')
legend('lb','kg')
title('Wfuel')


figure
plot((1:k),matrix(12,:),'-o','Color','b')
hold on
plot((1:k),matrix_converted(12,:),'-o','Color','r')
xlabel('iterazioni')
legend('ft3','m3')
title('Vtot')

figure
plot((1:k),matrix(34,:),'-o','Color','b')
hold on
plot((1:k),matrix_converted(34,:),'-o','Color','r')
xlabel('iterazioni')
legend('lb','kg')
title('Wgtot')


figure
plot((1:k+1),k_vector(:,1),'o','Color','red')
hold on
plot((1:k+1),k_vector(:,2),'o','Color','blue')
hold on
plot((1:k+1),k_vector(:,3),'o','Color','black')
xlabel('iterazioni')
legend('kn','kc','kb')
title('kn kb e kc')

% figure
% plot((1:k),check_Breguet(2,:),'-o','Color','b')
% xlabel('iterazioni')
% title('Sref')
% 
% figure
% plot((1:k),check_Breguet(3,:),'-o','Color','b')
% xlabel('iterazioni')
% title('Vtot')

figure
plot((1:k),check_Breguet(4,:),'-o','Color','b')
xlabel('iterazioni')
title('E')

figure
plot((1:k),check_Breguet(5,:),'-o','Color','b')
xlabel('iterazioni')
title('WH2')

figure
plot((1:k),check_Breguet(1,:),'-o','Color','b')
xlabel('iterazioni')
title('tau')
end